{
	"name": "form/nc/nc-work-center/rec.json",
	"constant": "plugin/nc-calc-server/constant.json",
	"tab": "work-center",
	"connection": "local",
	"person_state": "",
	"machine_state": "",
	"no_machine_load_group": { "MATERIAL": true },
	"keep_running_load_group": { "SAH": true, "JYR": true, "LASER": true, "DAEWOO": true },
	"person_state_unproductive": "cleaning",
	"person_state_unproductive_idx": 0,
	"run_machine": "running",
	"run_machine_idx": 0,
	"tab_work_phase": "work_phase_estimated",
	"tab_document": "document",
	"tab_material": "material_estimated",
	"min_start_amount": 1,
	"tab_open": false,
	"info_open": false,
	"reload_data": false,
	"create_schedule": false,
	"virtual_production_order": false,
	"show_done": false,
	"show_active": false,
	"show_work_phase_wide": false,
	"phase_color": {
		"": "black",
		"setup": "darkblue",
		"work": "lightblue",
		"stopping": "darkred",
		"stopped": "red",
		"done": "grey"
	},
	"person_state_active": { "0": true, "1": true, "2": true, "3": false },
	"person_state_field": { "started_amount": 0, "failed_amount": 0, "produced_amount": 0, "info": "" },
	"person": "",
	"person_name": "",
	"person_state_icon": {
		"": "circle-question",
		"draft": "circle-question",
		"confirmed": "circle-question",
		"setup": "wrench",
		"work": "play",
		"paused": "pause",
		"stopped": "stop",
		"stopping": "stop",
		"done": "check"
	},
	"button_icon": {
		"": "circle-question",
		"draft": "circle-question",
		"confirmed": "circle-question",
		"error": "triangle-exclamation",
		"setup": "wrench",
		"edit": "pencil",
		"close": "stop",
		"pause": "pause",
		"stop": "stop",
		"end": "stop",
		"finish": "stop",
		"done": "check"
	},
	"document_loadable": true,
	"find_text": "",
	"find_delay_seconds": 0.1,
	"find_field": ["production_order_id", "resource_id", "pro.company_id", "product_id", "pr.name", "json_data.material_batch", "description", "pro.info", "calc.start_html"],
	"find_field_allow_null": ["json_data.material_batch", "pro.info", "product_id", "pr.name", "calc.start_html"],
	"view": "main",
	"resource": "all",
	"start_resource": "",
	"find_product": "",
	"prev_resource": "",
	"organization_id": "",
	"prev_organization_id": "",
	"production_order_id": "",
	"selected_org_id_resource": {},
	"selected_work_row": 1,
	"document_preview_modal": false,
	"document_path": "",
	"document_data": { "data": "", "viewer_show_type": "preview", "mime_type": "", "document_name": "" },
	"document_style_preview": "padding: 1px; width: auto; height: calc(18em - 4px)",
	"document_style_fullpage": "max-width: 92vw; max-height: 87dvh",
	"allow_document_type": ["text/plain", "text/markdown", "image/svg+xml", "image/jpeg", "image/png", "application/pdf"],
	"calc.duration": "",
	"description": "",
	"focus_field": "",
	"clear_person": false,
	"current": {
		"description": "",
		"unproductive": "",
		"run": "",
		"started_amount": 0,
		"machine_started_amount": "",
		"prev_started_amount": 0,
		"produced_amount": 0,
		"prev_produced_amount": 0,
		"failed_amount": 0,
		"prev_failed_amount": 0,
		"start_time": 0,
		"info": "",
		"prev_info": 0,
		"resource_id": "",
		"work_phase_state": "",
		"production_order_id": "",
		"virtual": false,
		"enterable": false,
		"can_start": false,
		"can_setup": false,
		"can_run": false,
		"calc": {
			"can_start": 0,
			"time_info": "",
			"amount_info": "",
			"done_info": "",
			"work_info": "",
			"setup_start_time": 0,
			"finish_time": 0,
			"duration": 0,
			"started_person": {},
			"can_start_amount": 0,
			"started_by_person_amount": 0,
			"started_by_others_amount": 0,
			"started_amount": 0
		},
		"pro": { "production_order_state": "" },
		"json_data": { "material_batch": "", "production_order_number": "" }
	},
	"field_format": { "start_dt": "datetime", "end_dt": "datetime", "pro.json_data.critical_end_date": "datetime" },
	"time_info_field": ["", "start_dt", " - ", "end_dt", ", machine time: ", "machine_hours", ", delivery: ", "pro.json_data.critical_end_date"],
	"done_info_field": ["You: ", "started_by_person_amount", ", others: ", "started_by_others_amount", ", started: ", "started_amount"],
	"amount_info_field": [
		"Need: ",
		"pro.amount_to_produce",
		", done: ",
		"produced_amount",
		", failed: ",
		"failed_amount",
		", started: ",
		"calc.started_amount",
		", can start: ",
		"calc.can_start_amount"
	],
	"work_info_field": ["production_order_id", ", order: ", "pro.sales_order_id", ", ", "pro.info"],
	"current_field_set": [
		"description",
		"produced_amount",
		"failed_amount",
		"setup_hours",
		"work_hours",
		"machine_hours",
		"resource_id",
		"work_phase_state",
		"production_order_id",
		"pro.production_order_state",
		"calc.duration",
		"calc.started_person",
		"json_data.material_batch",
		"json_data.production_order_number"
	],
	"current_field_set_default": {
		"json_data.material_batch": "",
		"pro.production_order_state": "",
		"started_amount": 0,
		"produced_amount": 0,
		"failed_amount": 0,
		"setup_hours": 0,
		"work_hours": 0,
		"machine_hours": 0,
		"calc.duration": 0
	},
	"save_field_start_prwo2": ["json_data.person_id", "json_data.start_time"],
	"save_field_start_prwo_unproductive": {
		"resource_id": "",
		"production_id": "",
		"production_order_id": "unproductive",
		"work_phase_state": ""
	},
	"save_field_start_prwo": [
		"started_amount",
		"json_data.material_batch",
		"info",
		"description",
		"resource_id",
		"production_order_id",
		"product_id",
		"work_phase_state",
		"work_phase_number"
	],
	"save_field_stop_prwo": [
		"json_data.material_batch",
		"started_amount",
		"produced_amount",
		"failed_amount",
		"info",
		"description",
		"resource_id",
		"production_order_id",
		"product_id",
		"work_phase_state",
		"work_phase_number"
	],
	"save_field_start_pro": [
		"production_order_id",
		"row_number",
		"product_id",
		"production_order_state",
		"drawing_number",
		"amount_to_produce",
		"produced_amount",
		"failed_amount",
		"company_id",
		"sales_order_id",
		"sales_order_row",
		"info"
	],
	"save_field_stop_pro": [
		"production_order_id",
		"row_number",
		"product_id",
		"production_order_state",
		"drawing_number",
		"amount_to_produce",
		"produced_amount",
		"failed_amount",
		"company_id",
		"sales_order_id",
		"sales_order_row",
		"info"
	]
}
